MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
UPnPDirObject Class Reference

UpnP Media Server directory entry, converted from XML data. More...

`#include <Object.hxx>`

Collaboration diagram for UPnPDirObject:
[legend]

## Public Types
enum | Type { Type::UNKNOWN, Type::ITEM, Type::CONTAINER }
enum | ItemClass { ItemClass::UNKNOWN, ItemClass::MUSIC, ItemClass::PLAYLIST }

## Public Member Functions
| UPnPDirObject ()=default
| UPnPDirObject (UPnPDirObject &&)=default
| ~UPnPDirObject ()
UPnPDirObject & | operator= (UPnPDirObject &&)=default
void | Clear ()
gcc_pure bool | Check () const

## Data Fields
std::string | id
| ObjectId. More...
std::string | parent_id
| Parent's ObjectId. More...
std::string | url
std::string | name
| A copy of "dc:title" sanitized as a file name. More...
Type | type
ItemClass | item_class
Tag | tag

## Detailed Description

UpnP Media Server directory entry, converted from XML data.

This is a dumb data holder class, a struct with helpers.

Definition at line 33 of file Object.hxx.

## Member Enumeration Documentation

enum UPnPDirObject::ItemClass
| strong

Enumerator
UNKNOWN |
MUSIC |
PLAYLIST |

Definition at line 48 of file Object.hxx.

enum UPnPDirObject::Type
| strong

Enumerator
UNKNOWN |
ITEM |
CONTAINER |

Definition at line 35 of file Object.hxx.

## Constructor & Destructor Documentation

UPnPDirObject::UPnPDirObject | ( |  | ) |
| default

UPnPDirObject::UPnPDirObject | ( | UPnPDirObject && |  | ) |
| default

UPnPDirObject::~UPnPDirObject | ( |  | ) |

## Member Function Documentation

gcc_pure bool UPnPDirObject::Check | ( |  | ) | const
| inline

Definition at line 93 of file Object.hxx.

void UPnPDirObject::Clear | ( |  | ) |
| inline

Definition at line 83 of file Object.hxx.

UPnPDirObject& UPnPDirObject::operator= | ( | UPnPDirObject && |  | ) |
| default

## Field Documentation

std::string UPnPDirObject::id

ObjectId.

Definition at line 57 of file Object.hxx.

ItemClass UPnPDirObject::item_class

Definition at line 72 of file Object.hxx.

std::string UPnPDirObject::name

A copy of "dc:title" sanitized as a file name.

Definition at line 69 of file Object.hxx.

std::string UPnPDirObject::parent_id

Parent's ObjectId.

Definition at line 62 of file Object.hxx.

Tag UPnPDirObject::tag

Definition at line 74 of file Object.hxx.

Type UPnPDirObject::type

Definition at line 71 of file Object.hxx.

std::string UPnPDirObject::url

Definition at line 64 of file Object.hxx.

The documentation for this class was generated from the following file:

- db/plugins/upnp/Object.hxx